Index: trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 3048)
@@ -29,15 +29,15 @@
 
 namespace HeuristicLab.Data.Views {
-  [View("StringConvertibleMatrixData View")]
-  [Content(typeof(IStringConvertibleMatrixData), true)]
-  public partial class StringConvertibleMatrixDataView : ContentView {
-    public new IStringConvertibleMatrixData Content {
-      get { return (IStringConvertibleMatrixData)base.Content; }
+  [View("StringConvertibleMatrix View")]
+  [Content(typeof(IStringConvertibleMatrix), true)]
+  public partial class StringConvertibleMatrixView : ContentView {
+    public new IStringConvertibleMatrix Content {
+      get { return (IStringConvertibleMatrix)base.Content; }
       set { base.Content = value; }
     }
 
-    public StringConvertibleMatrixDataView() {
+    public StringConvertibleMatrixView() {
       InitializeComponent();
-      Caption = "StringConvertibleMatrixData View";
+      Caption = "StringConvertibleMatrix View";
       errorProvider.SetIconAlignment(rowsTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(rowsTextBox, 2);
@@ -45,5 +45,5 @@
       errorProvider.SetIconPadding(columnsTextBox, 2);
     }
-    public StringConvertibleMatrixDataView(IStringConvertibleMatrixData content)
+    public StringConvertibleMatrixView(IStringConvertibleMatrix content)
       : this() {
       Content = content;
@@ -66,5 +66,5 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "StringConvertibleMatrixData View";
+        Caption = "StringConvertibleMatrix View";
         rowsTextBox.Text = "";
         rowsTextBox.Enabled = false;
@@ -75,5 +75,5 @@
         dataGridView.Enabled = false;
       } else {
-        Caption = "StringConvertibleMatrixData (" + Content.GetType().Name + ")";
+        Caption = "StringConvertibleMatrix (" + Content.GetType().Name + ")";
         UpdateData();
       }
Index: trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.Designer.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.Designer.cs	(revision 3048)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Data.Views {
-  partial class StringConvertibleDataView {
+  partial class StringConvertibleValueView {
     /// <summary> 
     /// Required designer variable.
@@ -78,5 +78,5 @@
       this.valueLabel.Text = "&Value:";
       // 
-      // StringConvertibleDataView
+      // StringConvertibleValueView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -84,5 +84,5 @@
       this.Controls.Add(this.valueLabel);
       this.Controls.Add(this.valueTextBox);
-      this.Name = "StringConvertibleDataView";
+      this.Name = "StringConvertibleValueView";
       this.Size = new System.Drawing.Size(250, 38);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 3048)
@@ -27,19 +27,19 @@
 
 namespace HeuristicLab.Data.Views {
-  [View("StringConvertibleData View")]
-  [Content(typeof(IStringConvertibleData), true)]
-  public partial class StringConvertibleDataView : ContentView {
-    public new IStringConvertibleData Content {
-      get { return (IStringConvertibleData)base.Content; }
+  [View("StringConvertibleValue View")]
+  [Content(typeof(IStringConvertibleValue), true)]
+  public partial class StringConvertibleValueView : ContentView {
+    public new IStringConvertibleValue Content {
+      get { return (IStringConvertibleValue)base.Content; }
       set { base.Content = value; }
     }
 
-    public StringConvertibleDataView() {
+    public StringConvertibleValueView() {
       InitializeComponent();
-      Caption = "StringConvertibleData View";
+      Caption = "StringConvertibleValue View";
       errorProvider.SetIconAlignment(valueTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(valueTextBox, 2);
     }
-    public StringConvertibleDataView(IStringConvertibleData content)
+    public StringConvertibleValueView(IStringConvertibleValue content)
       : this() {
       Content = content;
@@ -59,5 +59,5 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "StringConvertibleData View";
+        Caption = "StringConvertibleValue View";
         valueTextBox.Text = string.Empty;
         valueTextBox.Enabled = false;
Index: trunk/sources/HeuristicLab.Data/3.3/BoolArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/BoolArray.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/BoolArray.cs	(revision 3048)
@@ -25,26 +25,26 @@
 
 namespace HeuristicLab.Data {
-  [Item("BoolArrayData", "Represents an array of boolean values.")]
+  [Item("BoolArray", "Represents an array of boolean values.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class BoolArrayData : ValueTypeArrayData<bool>, IStringConvertibleArrayData {
-    public BoolArrayData() : base() { }
-    public BoolArrayData(int length) : base(length) { }
-    public BoolArrayData(bool[] elements) : base(elements) { }
-    private BoolArrayData(BoolArrayData elements) : base(elements) { }
+  public sealed class BoolArray : ValueTypeArray<bool>, IStringConvertibleArray {
+    public BoolArray() : base() { }
+    public BoolArray(int length) : base(length) { }
+    public BoolArray(bool[] elements) : base(elements) { }
+    private BoolArray(BoolArray elements) : base(elements) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      BoolArrayData clone = new BoolArrayData(this);
+      BoolArray clone = new BoolArray(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
     }
 
-    #region IStringConvertibleArrayData Members
-    int IStringConvertibleArrayData.Length {
+    #region IStringConvertibleArray Members
+    int IStringConvertibleArray.Length {
       get { return Length; }
       set { Length = value; }
     }
 
-    bool IStringConvertibleArrayData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleArray.Validate(string value, out string errorMessage) {
       bool val;
       bool valid = bool.TryParse(value, out val);
@@ -59,8 +59,8 @@
       return valid;
     }
-    string IStringConvertibleArrayData.GetValue(int index) {
+    string IStringConvertibleArray.GetValue(int index) {
       return this[index].ToString();
     }
-    bool IStringConvertibleArrayData.SetValue(string value, int index) {
+    bool IStringConvertibleArray.SetValue(string value, int index) {
       bool val;
       if (bool.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/BoolMatrix.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 3048)
@@ -25,30 +25,30 @@
 
 namespace HeuristicLab.Data {
-  [Item("BoolMatrixData", "Represents a matrix of boolean values.")]
+  [Item("BoolMatrix", "Represents a matrix of boolean values.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class BoolMatrixData : ValueTypeMatrixData<bool>, IStringConvertibleMatrixData {
-    public BoolMatrixData() : base() { }
-    public BoolMatrixData(int rows, int columns) : base(rows, columns) { }
-    public BoolMatrixData(bool[,] elements) : base(elements) { }
-    private BoolMatrixData(BoolMatrixData elements) : base(elements) { }
+  public sealed class BoolMatrix : ValueTypeMatrix<bool>, IStringConvertibleMatrix {
+    public BoolMatrix() : base() { }
+    public BoolMatrix(int rows, int columns) : base(rows, columns) { }
+    public BoolMatrix(bool[,] elements) : base(elements) { }
+    private BoolMatrix(BoolMatrix elements) : base(elements) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      BoolMatrixData clone = new BoolMatrixData(this);
+      BoolMatrix clone = new BoolMatrix(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
     }
 
-    #region IStringConvertibleMatrixData Members
-    int IStringConvertibleMatrixData.Rows {
+    #region IStringConvertibleMatrix Members
+    int IStringConvertibleMatrix.Rows {
       get { return Rows; }
       set { Rows = value; }
     }
-    int IStringConvertibleMatrixData.Columns {
+    int IStringConvertibleMatrix.Columns {
       get { return Columns; }
       set { Columns = value; }
     }
 
-    bool IStringConvertibleMatrixData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleMatrix.Validate(string value, out string errorMessage) {
       bool val;
       bool valid = bool.TryParse(value, out val);
@@ -63,8 +63,8 @@
       return valid;
     }
-    string IStringConvertibleMatrixData.GetValue(int rowIndex, int columIndex) {
+    string IStringConvertibleMatrix.GetValue(int rowIndex, int columIndex) {
       return this[rowIndex, columIndex].ToString();
     }
-    bool IStringConvertibleMatrixData.SetValue(string value, int rowIndex, int columnIndex) {
+    bool IStringConvertibleMatrix.SetValue(string value, int rowIndex, int columnIndex) {
       bool val;
       if (bool.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs	(revision 3048)
@@ -26,13 +26,13 @@
 
 namespace HeuristicLab.Data {
-  [Item("BoolData", "Represents a boolean value.")]
+  [Item("BoolValue", "Represents a boolean value.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class BoolData : ValueTypeData<bool>, IComparable, IStringConvertibleData {
-    public BoolData() : base() { }
-    public BoolData(bool value) : base(value) { }
+  public sealed class BoolValue : ValueTypeValue<bool>, IComparable, IStringConvertibleValue {
+    public BoolValue() : base() { }
+    public BoolValue(bool value) : base(value) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      BoolData clone = new BoolData(Value);
+      BoolValue clone = new BoolValue(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -40,5 +40,5 @@
 
     public int CompareTo(object obj) {
-      BoolData other = obj as BoolData;
+      BoolValue other = obj as BoolValue;
       if (other != null)
         return Value.CompareTo(other.Value);
@@ -47,6 +47,6 @@
     }
 
-    #region IStringConvertibleData Members
-    bool IStringConvertibleData.Validate(string value, out string errorMessage) {
+    #region IStringConvertibleValue Members
+    bool IStringConvertibleValue.Validate(string value, out string errorMessage) {
       bool val;
       bool valid = bool.TryParse(value, out val);
@@ -61,8 +61,8 @@
       return valid;
     }
-    string IStringConvertibleData.GetValue() {
+    string IStringConvertibleValue.GetValue() {
       return Value.ToString();
     }
-    bool IStringConvertibleData.SetValue(string value) {
+    bool IStringConvertibleValue.SetValue(string value) {
       bool val;
       if (bool.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/Comparison.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/Comparison.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/Comparison.cs	(revision 3048)
@@ -25,13 +25,13 @@
 
 namespace HeuristicLab.Data {
-  [Item("ComparisonData", "Represents a comparison.")]
+  [Item("Comparison", "Represents a comparison.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class ComparisonData : ValueTypeData<Comparison>, IComparable {
-    public ComparisonData() : base() { }
-    public ComparisonData(Comparison value) : base(value) { }
+  public sealed class Comparison : ValueTypeValue<ComparisonType>, IComparable {
+    public Comparison() : base() { }
+    public Comparison(ComparisonType value) : base(value) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      ComparisonData clone = new ComparisonData(Value);
+      Comparison clone = new Comparison(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -39,5 +39,5 @@
 
     public int CompareTo(object obj) {
-      ComparisonData other = obj as ComparisonData;
+      Comparison other = obj as Comparison;
       if (other != null)
         return Value.CompareTo(other.Value);
Index: trunk/sources/HeuristicLab.Data/3.3/ComparisonType.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 3048)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Data {
-  public enum Comparison {
+  public enum ComparisonType {
     Less,
     LessOrEqual,
Index: trunk/sources/HeuristicLab.Data/3.3/DateTimeValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 3048)
@@ -25,13 +25,13 @@
 
 namespace HeuristicLab.Data {
-  [Item("DateTimeData", "Represents a date and time value.")]
+  [Item("DateTimeValue", "Represents a date and time value.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class DateTimeData : ValueTypeData<DateTime>, IComparable, IStringConvertibleData {
-    public DateTimeData() : base() { }
-    public DateTimeData(DateTime value) : base(value) { }
+  public sealed class DateTimeValue : ValueTypeValue<DateTime>, IComparable, IStringConvertibleValue {
+    public DateTimeValue() : base() { }
+    public DateTimeValue(DateTime value) : base(value) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      DateTimeData clone = new DateTimeData(Value);
+      DateTimeValue clone = new DateTimeValue(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -43,5 +43,5 @@
 
     public int CompareTo(object obj) {
-      DateTimeData other = obj as DateTimeData;
+      DateTimeValue other = obj as DateTimeValue;
       if (other != null)
         return Value.CompareTo(other.Value);
@@ -50,6 +50,6 @@
     }
 
-    #region IStringConvertibleData Members
-    bool IStringConvertibleData.Validate(string value, out string errorMessage) {
+    #region IStringConvertibleValue Members
+    bool IStringConvertibleValue.Validate(string value, out string errorMessage) {
       DateTime val;
       bool valid = DateTime.TryParse(value, out val);
@@ -57,8 +57,8 @@
       return valid;
     }
-    string IStringConvertibleData.GetValue() {
+    string IStringConvertibleValue.GetValue() {
       return Value.ToString("o");  // round-trip format
     }
-    bool IStringConvertibleData.SetValue(string value) {
+    bool IStringConvertibleValue.SetValue(string value) {
       DateTime val;
       if (DateTime.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/DoubleArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 3048)
@@ -25,26 +25,26 @@
 
 namespace HeuristicLab.Data {
-  [Item("DoubleArrayData", "Represents an array of double values.")]
+  [Item("DoubleArray", "Represents an array of double values.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class DoubleArrayData : ValueTypeArrayData<double>, IStringConvertibleArrayData {
-    public DoubleArrayData() : base() { }
-    public DoubleArrayData(int length) : base(length) { }
-    public DoubleArrayData(double[] elements) : base(elements) { }
-    private DoubleArrayData(DoubleArrayData elements) : base(elements) { }
+  public sealed class DoubleArray : ValueTypeArray<double>, IStringConvertibleArray {
+    public DoubleArray() : base() { }
+    public DoubleArray(int length) : base(length) { }
+    public DoubleArray(double[] elements) : base(elements) { }
+    private DoubleArray(DoubleArray elements) : base(elements) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      DoubleArrayData clone = new DoubleArrayData(this);
+      DoubleArray clone = new DoubleArray(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
     }
 
-    #region IStringConvertibleArrayData Members
-    int IStringConvertibleArrayData.Length {
+    #region IStringConvertibleArray Members
+    int IStringConvertibleArray.Length {
       get { return Length; }
       set { Length = value; }
     }
 
-    bool IStringConvertibleArrayData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleArray.Validate(string value, out string errorMessage) {
       double val;
       bool valid = double.TryParse(value, out val);
@@ -59,8 +59,8 @@
       return valid;
     }
-    string IStringConvertibleArrayData.GetValue(int index) {
+    string IStringConvertibleArray.GetValue(int index) {
       return this[index].ToString();
     }
-    bool IStringConvertibleArrayData.SetValue(string value, int index) {
+    bool IStringConvertibleArray.SetValue(string value, int index) {
       double val;
       if (double.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/DoubleMatrix.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 3048)
@@ -25,30 +25,30 @@
 
 namespace HeuristicLab.Data {
-  [Item("DoubleMatrixData", "Represents a matrix of double values.")]
+  [Item("DoubleMatrix", "Represents a matrix of double values.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class DoubleMatrixData : ValueTypeMatrixData<double>, IStringConvertibleMatrixData {
-    public DoubleMatrixData() : base() { }
-    public DoubleMatrixData(int rows, int columns) : base(rows, columns) { }
-    public DoubleMatrixData(double[,] elements) : base(elements) { }
-    private DoubleMatrixData(DoubleMatrixData elements) : base(elements) { }
+  public sealed class DoubleMatrix : ValueTypeMatrix<double>, IStringConvertibleMatrix {
+    public DoubleMatrix() : base() { }
+    public DoubleMatrix(int rows, int columns) : base(rows, columns) { }
+    public DoubleMatrix(double[,] elements) : base(elements) { }
+    private DoubleMatrix(DoubleMatrix elements) : base(elements) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      DoubleMatrixData clone = new DoubleMatrixData(this);
+      DoubleMatrix clone = new DoubleMatrix(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
     }
 
-    #region IStringConvertibleMatrixData Members
-    int IStringConvertibleMatrixData.Rows {
+    #region IStringConvertibleMatrix Members
+    int IStringConvertibleMatrix.Rows {
       get { return Rows; }
       set { Rows = value; }
     }
-    int IStringConvertibleMatrixData.Columns {
+    int IStringConvertibleMatrix.Columns {
       get { return Columns; }
       set { Columns = value; }
     }
 
-    bool IStringConvertibleMatrixData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleMatrix.Validate(string value, out string errorMessage) {
       double val;
       bool valid = double.TryParse(value, out val);
@@ -63,8 +63,8 @@
       return valid;
     }
-    string IStringConvertibleMatrixData.GetValue(int rowIndex, int columIndex) {
+    string IStringConvertibleMatrix.GetValue(int rowIndex, int columIndex) {
       return this[rowIndex, columIndex].ToString();
     }
-    bool IStringConvertibleMatrixData.SetValue(string value, int rowIndex, int columnIndex) {
+    bool IStringConvertibleMatrix.SetValue(string value, int rowIndex, int columnIndex) {
       double val;
       if (double.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 3048)
@@ -26,13 +26,13 @@
 
 namespace HeuristicLab.Data {
-  [Item("DoubleData", "Represents a double value.")]
+  [Item("DoubleValue", "Represents a double value.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class DoubleData : ValueTypeData<double>, IComparable, IStringConvertibleData {
-    public DoubleData() : base() { }
-    public DoubleData(double value) : base(value) { }
+  public sealed class DoubleValue : ValueTypeValue<double>, IComparable, IStringConvertibleValue {
+    public DoubleValue() : base() { }
+    public DoubleValue(double value) : base(value) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      DoubleData clone = new DoubleData(Value);
+      DoubleValue clone = new DoubleValue(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -44,5 +44,5 @@
 
     public int CompareTo(object obj) {
-      DoubleData other = obj as DoubleData;
+      DoubleValue other = obj as DoubleValue;
       if (other != null)
         return Value.CompareTo(other.Value);
@@ -51,6 +51,6 @@
     }
 
-    #region IStringConvertibleData Members
-    bool IStringConvertibleData.Validate(string value, out string errorMessage) {
+    #region IStringConvertibleValue Members
+    bool IStringConvertibleValue.Validate(string value, out string errorMessage) {
       double val;
       bool valid = double.TryParse(value, out val);
@@ -65,8 +65,8 @@
       return valid;
     }
-    string IStringConvertibleData.GetValue() {
+    string IStringConvertibleValue.GetValue() {
       return Value.ToString("r");  // round-trip format
     }
-    bool IStringConvertibleData.SetValue(string value) {
+    bool IStringConvertibleValue.SetValue(string value) {
       double val;
       if (double.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleArray.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleArray.cs	(revision 3048)
@@ -24,5 +24,5 @@
 
 namespace HeuristicLab.Data {
-  public interface IStringConvertibleArrayData {
+  public interface IStringConvertibleArray {
     int Length { get; set; }
 
Index: trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleMatrix.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleMatrix.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleMatrix.cs	(revision 3048)
@@ -24,5 +24,5 @@
 
 namespace HeuristicLab.Data {
-  public interface IStringConvertibleMatrixData {
+  public interface IStringConvertibleMatrix {
     int Rows { get; set; }
     int Columns { get; set; }
Index: trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleValue.cs	(revision 3048)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Data {
-  public interface IStringConvertibleData {
+  public interface IStringConvertibleValue {
     bool Validate(string value, out string errorMessage);
     string GetValue();
Index: trunk/sources/HeuristicLab.Data/3.3/IntArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IntArray.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/IntArray.cs	(revision 3048)
@@ -25,26 +25,26 @@
 
 namespace HeuristicLab.Data {
-  [Item("IntArrayData", "Represents an array of integer values.")]
+  [Item("IntArray", "Represents an array of integer values.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class IntArrayData : ValueTypeArrayData<int>, IStringConvertibleArrayData {
-    public IntArrayData() : base() { }
-    public IntArrayData(int length) : base(length) { }
-    public IntArrayData(int[] elements) : base(elements) { }
-    private IntArrayData(IntArrayData elements) : base(elements) { }
+  public sealed class IntArray : ValueTypeArray<int>, IStringConvertibleArray {
+    public IntArray() : base() { }
+    public IntArray(int length) : base(length) { }
+    public IntArray(int[] elements) : base(elements) { }
+    private IntArray(IntArray elements) : base(elements) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      IntArrayData clone = new IntArrayData(this);
+      IntArray clone = new IntArray(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
     }
 
-    #region IStringConvertibleArrayData Members
-    int IStringConvertibleArrayData.Length {
+    #region IStringConvertibleArray Members
+    int IStringConvertibleArray.Length {
       get { return Length; }
       set { Length = value; }
     }
 
-    bool IStringConvertibleArrayData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleArray.Validate(string value, out string errorMessage) {
       int val;
       bool valid = int.TryParse(value, out val);
@@ -59,8 +59,8 @@
       return valid;
     }
-    string IStringConvertibleArrayData.GetValue(int index) {
+    string IStringConvertibleArray.GetValue(int index) {
       return this[index].ToString();
     }
-    bool IStringConvertibleArrayData.SetValue(string value, int index) {
+    bool IStringConvertibleArray.SetValue(string value, int index) {
       int val;
       if (int.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/IntMatrix.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 3048)
@@ -25,30 +25,30 @@
 
 namespace HeuristicLab.Data {
-  [Item("IntMatrixData", "Represents a matrix of integer values.")]
+  [Item("IntMatrix", "Represents a matrix of integer values.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class IntMatrixData : ValueTypeMatrixData<int>, IStringConvertibleMatrixData {
-    public IntMatrixData() : base() { }
-    public IntMatrixData(int rows, int columns) : base(rows, columns) { }
-    public IntMatrixData(int[,] elements) : base(elements) { }
-    private IntMatrixData(IntMatrixData elements) : base(elements) { }
+  public sealed class IntMatrix : ValueTypeMatrix<int>, IStringConvertibleMatrix {
+    public IntMatrix() : base() { }
+    public IntMatrix(int rows, int columns) : base(rows, columns) { }
+    public IntMatrix(int[,] elements) : base(elements) { }
+    private IntMatrix(IntMatrix elements) : base(elements) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      IntMatrixData clone = new IntMatrixData(this);
+      IntMatrix clone = new IntMatrix(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
     }
 
-    #region IStringConvertibleMatrixData Members
-    int IStringConvertibleMatrixData.Rows {
+    #region IStringConvertibleMatrix Members
+    int IStringConvertibleMatrix.Rows {
       get { return Rows; }
       set { Rows = value; }
     }
-    int IStringConvertibleMatrixData.Columns {
+    int IStringConvertibleMatrix.Columns {
       get { return Columns; }
       set { Columns = value; }
     }
 
-    bool IStringConvertibleMatrixData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleMatrix.Validate(string value, out string errorMessage) {
       int val;
       bool valid = int.TryParse(value, out val);
@@ -63,8 +63,8 @@
       return valid;
     }
-    string IStringConvertibleMatrixData.GetValue(int rowIndex, int columIndex) {
+    string IStringConvertibleMatrix.GetValue(int rowIndex, int columIndex) {
       return this[rowIndex, columIndex].ToString();
     }
-    bool IStringConvertibleMatrixData.SetValue(string value, int rowIndex, int columnIndex) {
+    bool IStringConvertibleMatrix.SetValue(string value, int rowIndex, int columnIndex) {
       int val;
       if (int.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/IntValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IntValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/IntValue.cs	(revision 3048)
@@ -26,13 +26,13 @@
 
 namespace HeuristicLab.Data {
-  [Item("IntData", "Represents an integer value.")]
+  [Item("IntValue", "Represents an integer value.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class IntData : ValueTypeData<int>, IComparable, IStringConvertibleData {
-    public IntData() : base() { }
-    public IntData(int value) : base(value) { }
+  public sealed class IntValue : ValueTypeValue<int>, IComparable, IStringConvertibleValue {
+    public IntValue() : base() { }
+    public IntValue(int value) : base(value) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      IntData clone = new IntData(Value);
+      IntValue clone = new IntValue(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -40,5 +40,5 @@
 
     public int CompareTo(object obj) {
-      IntData other = obj as IntData;
+      IntValue other = obj as IntValue;
       if (other != null)
         return Value.CompareTo(other.Value);
@@ -47,6 +47,6 @@
     }
 
-    #region IStringConvertibleData Members
-    bool IStringConvertibleData.Validate(string value, out string errorMessage) {
+    #region IStringConvertibleValue Members
+    bool IStringConvertibleValue.Validate(string value, out string errorMessage) {
       int val;
       bool valid = int.TryParse(value, out val);
@@ -61,8 +61,8 @@
       return valid;
     }
-    string IStringConvertibleData.GetValue() {
+    string IStringConvertibleValue.GetValue() {
       return Value.ToString();
     }
-    bool IStringConvertibleData.SetValue(string value) {
+    bool IStringConvertibleValue.SetValue(string value) {
       int val;
       if (int.TryParse(value, out val)) {
